<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <!--button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button-->
                <h4 class="modal-title">Éditeur XPath</h4>
            </div>
            <div class="modal-body p-0">
                <xpath-editor ng-model="xpath" schema="schema" selector="{{ selector }}" context="context" mode="{{ mode }}"></xpath-editor>
            </div>
            <div class="modal-footer">
                <!--<code class="">{{ xpath }}</code>-->
                <button type="button" class="btn btn-default pull-left" ng-click="closeThisDialog()">Annuler</button>
                <button type="button" class="btn btn-primary" ng-click="closeThisDialog(xpath)">Enregistrer</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->